{
  "name": "risis-rcf-riba",
  "version": "0.14.1",
  "description": "RISIS Core Facility Backend API",
  "main": "index.js",
  "scripts": {
    "start": "node index.js",
    "live": "nodemon --inspect=0.0.0.0:9228 index.js",
    "test:api": "NODE_ENV=test mocha --exit --config=test/api/setup/config.json --recursive test/api/",
    "test:api-debug": "NODE_ENV=test mocha --exit --config=test/api/setup/config.json --recursive test/api --inspect-brk=0.0.0.0:5858",
    "pretest:api": "npx swagger-cli bundle openapi/openapi.yml -r -t yaml -o openapi/bundle.yml",
    "pretest:api-debug": "npx prisma migrate reset --force && npx prisma migrate deploy --preview-feature && npx swagger-cli bundle openapi/openapi.yml -r -t yaml -o openapi/bundle.yml",
    "docker:down": "docker-compose down",
    "docker:build": "docker-compose build",
    "docker:build-clean": "docker-compose build --no-cache",
    "predocker:up": "npx swagger-cli bundle openapi/openapi.yml -r -t yaml -o openapi/bundle.yml",
    "predocker:up-recreate": "npx swagger-cli bundle openapi/openapi.yml -r -t yaml -o openapi/bundle.yml",
    "docker:up": "docker-compose -f docker-compose.yml -f docker-compose.dev.yml up --force-recreate",
    "docker:up-recreate": "docker-compose -f docker-compose.dev.yml up --force-recreate",
    "docker:project": "npm run docker:down && npm run docker:build-clean && npm run docker:up",
    "docker:test-api": "docker-compose -f docker-compose.yml -f docker-compose.test.yml up --exit-code-from rcf-riba",
    "predocker:test-api": "docker-compose -f docker-compose.yml -f docker-compose.test.yml down",
    "test:unit": "docker exec rcf-riba sh -c 'RIBA_PORT=7779 NODE_ENV=test ./node_modules/.bin/mocha --exit --recursive test/unit'",
    "test:unit-debug": "docker exec rcf-riba sh -c 'RIBA_PORT=7779 NODE_ENV=test ./node_modules/.bin/mocha --exit --recursive test/unit --inspect-brk=0.0.0.0:5858'",
    "openapi:watch": "while inotifywait -e close_write openapi/openapi.yml; do swagger-cli bundle openapi/openapi.yml -r -t yaml -o openapi/bundle.yml; done",
    "openapi:bundle": "swagger-cli bundle openapi/openapi.yml -r -t yaml -o openapi/bundle.yml",
    "data:clear": "sudo rm -rf data/db && sudo rm -rf prisma/migrations",
    "docs:generate": "docker exec rcf-riba sh -c './node_modules/.bin/jsdoc -c config-jsdoc.json --verbose'",
    "db:sqldump": "docker exec -i rcf-riba-db-local mysqldump --add-drop-table --no-create-db -u${USER} -p${PASSWORD} --databases riba_app --skip-comments > ./riba.sql",
    "db:upsqlfile": "docker exec -i rcf-riba-db-local mysql -u${USER} -p${PASSWORD} riba_app --skip-comments < ./riba.sql",
    "db:truncateData": "docker exec -it rcf-riba npx prisma migrate reset",
    "db:generateData": "docker exec -it rcf-riba node -e \"require('./fixtures/reset.js').randomData()\"",
    "db:reset": "npm run db:truncateData && npm run db:generateData",
    "dev:tokens": "docker exec -it rcf-riba node -e \"require('./fixtures/generateTokens.js');\"",
    "prisma:studio": "docker exec rcf-riba npx prisma studio",
    "prisma:migrate": "docker exec -it rcf-riba npx prisma migrate dev && docker exec -it rcf-riba npx prisma db seed",
    "eslint": "eslint",
    "eslint:fix": "eslint --fix"
  },
  "prisma": {
    "seed": "node prisma/seed.js"
  },
  "nodemonConfig": {
    "ext": "js, json, yml, yaml",
    "ignore": [
      "data/*",
      "fixtures/stubs.json",
      "log/*",
      "test/*"
    ]
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/risis/rcf/risis-rcf-riba.git"
  },
  "author": "CorTexT Team",
  "license": "EUPL-1.2",
  "engines": {
    "node": "^14.0.0"
  },
  "dependencies": {
    "@cortext/rcf-datastore-client": "^0.11.0",
    "@prisma/client": "^3.5.0",
    "abort-controller": "^3.0.0",
    "app-root-path": "^3.0.0",
    "archiver": "^5.1.0",
    "body-parser": "^1.19.0",
    "config-lite": "^3.0.0",
    "csv-parse": "^5.3.6",
    "express": "^4.17.1",
    "express-async-errors": "^3.1.1",
    "express-bearer-token": "^2.4.0",
    "express-openapi-validator": "^4.12.6",
    "extract-zip": "^2.0.1",
    "form-data": "^4.0.0",
    "fs-extra": "^9.1.0",
    "got": "^11.8.2",
    "helmet": "^4.4.1",
    "js-yaml": "^4.0.0",
    "jsonwebtoken": "^8.5.1",
    "log4js": "^6.3.0",
    "mime-types": "^2.1.30",
    "minio": "^7.0.18",
    "multer": "^1.4.2",
    "nanoid": "^3.1.22",
    "nock": "^13.0.11",
    "node-fetch": "^2.6.1",
    "nodemailer": "^6.9.1",
    "object-path": "^0.11.5",
    "postgres": "^1.0.2",
    "prisma": "^3.5.0",
    "redis": "^3.1.0",
    "routable": "0.0.5",
    "slugify": "^1.5.0",
    "socket.io": "^4.1.3",
    "uuid": "^8.3.2",
    "walkdir": "^0.4.1",
    "write-yaml-file": "^4.2.0"
  },
  "devDependencies": {
    "chai": "^4.3.4",
    "chai-openapi-response-validator": "^0.13.0",
    "eslint": "^7.23.0",
    "eslint-config-standard": "^16.0.2",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^4.3.1",
    "eslint-plugin-standard": "^4.1.0",
    "express-openapi-validate": "^0.5.1",
    "faker": "^5.5.2",
    "jsdoc": "^3.6.6",
    "json-schema-faker": "^0.5.0-rcv.34",
    "lodash": "^4.17.21",
    "mocha": "^8.3.2",
    "nodemon": "^2.0.7",
    "prom-client": "^12.0.0",
    "rewire": "^5.0.0",
    "supertest": "^6.1.3",
    "swagger-cli": "^4.0.4",
    "swagger-stats": "^0.99.2",
    "yaml": "^1.10.2"
  }
}
